Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Select

    java.lang.Object
      |
      +--org.hsqldb.Select

class Select
extends java.lang.Object

Class declaration

Field Summary
`(package private) boolean` | `bDistinct`
`(package private) Expression[]` | `eColumn`
`(package private) Expression` | `eCondition`
`(package private) static int` | `EXCEPT`
`(package private) int` | `iGroupLen`
`(package private) static int` | `INTERSECT`
`(package private) int` | `iOrderLen`
`(package private) int` | `iResultLen`
`(package private) int` | `iUnionType`
`(package private) java.lang.String` | `sIntoTable`
`(package private) Select` | `sUnion`
`(package private) TableFilter[]` | `tFilter`
`(package private) static int` | `UNION`
`(package private) static int` | `UNIONALL`

Constructor Summary
`(package private)` | `Select()`

Method Summary
`(package private) void` | `checkResolved()` Method declaration
`(package private) Result` | `getResult(int maxrows)` Method declaration
`(package private) java.lang.Object` | `getValue(int type)` Method declaration
`(package private) void` | `resolve()` Method declaration
`(package private) void` | `resolve(TableFilter f, boolean ownfilter)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bDistinct

    boolean bDistinct

### tFilter

    TableFilter[] tFilter

### eCondition

    Expression eCondition

### eColumn

    Expression[] eColumn

### iResultLen

    int iResultLen

### iGroupLen

    int iGroupLen

### iOrderLen

    int iOrderLen

### sUnion

    Select sUnion

### sIntoTable

    java.lang.String sIntoTable

### iUnionType

    int iUnionType

### UNION

    static final int UNION

### UNIONALL

    static final int UNIONALL

### INTERSECT

    static final int INTERSECT

### EXCEPT

    static final int EXCEPT

Constructor Detail

### Select

    Select()

Method Detail

### resolve

    void resolve()
           throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### resolve

    void resolve(TableFilter f,
                 boolean ownfilter)
           throws java.sql.SQLException

  Method declaration
  Parameters:
    `f` -
    `ownfilter` -
  Throws:
    java.sql.SQLException -

### checkResolved

    void checkResolved()
                 throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### getValue

    java.lang.Object getValue(int type)
                        throws java.sql.SQLException

  Method declaration
  Parameters:
    `type` -
  Returns:
  Throws:
    java.sql.SQLException -

### getResult

    Result getResult(int maxrows)
               throws java.sql.SQLException

  Method declaration
  Parameters:
    `maxrows` -
  Returns:
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD